## qubesdb 4.0.11

=== debian/changelog ===
qubesdb (4.0.11-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 09 Sep 2019 09:31:23 +0200

qubesdb (4.0.11-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec.in: use %{python3_pkgversion}

  [ Marta Marczykowska-Górecka ]
  * Daemon: fixed crash when trying to remove '/'
  * daemon: fix handling empty entries

  [ Marek Marczykowski-Górecki ]
  * python: fix gcc -Wsign-compare warnings
  * travis: update Fedora versions, switch to xenial

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Sep 2019 09:31:23 +0200

qubesdb (4.0.10-1) unstable; urgency=medium

  * rpm: add missing BR: systemd-devel
  * rpm: add BR: gcc
  * travis: add fc29

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Oct 2018 23:18:29 +0200

qubesdb (4.0.9-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: use build flags provided by the distribution
  * travis: add fc28 and buster
  * debian: unify Build-Depends

  [ unman ]
  * Remove wheezy and trusty builds. Consolidate Build-Depends

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 07 Sep 2018 00:56:02 +0200

qubesdb (4.0.8-1) unstable; urgency=medium

  * daemon: fix error message format string

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Jul 2018 23:11:32 +0200

qubesdb (4.0.7-1) unstable; urgency=medium

  * windows: fix few compile warnings
  * windows: update for vs2017
  * windows: automatically determine newest SDK version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Jul 2018 21:31:19 +0200

qubesdb (4.0.6-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: build both python2 and python3 bindings

  [ Frédéric Pierret ]
  * Create spec.in and add Source0
  * remove _sourcedir (put in Makefile-legacy.fedora) and isolate
    _builderdir
  * Remove _builddir
  * spec.in: add changelog placeholder
  * Fix GCC8 warnings:

  [ Marek Marczykowski-Górecki ]
  * travis: update Fedora versions
  * rpm: fix packaging
  * travis: add centos7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 01 May 2018 19:47:02 +0200

qubesdb (4.0.5-1) unstable; urgency=medium

  * Fix handling qdb_list errors

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 04 Oct 2017 14:58:23 +0200

qubesdb (4.0.4-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Fix CentOS dependencies: python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 29 Sep 2017 22:50:28 +0200

qubesdb (4.0.3-1) unstable; urgency=medium

  * python3: use unicode as return type for paths

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 05:19:07 +0200

qubesdb (4.0.2-1) unstable; urgency=medium

  * debian: fix dependencies
  * debian: drop non-deterministing orig.tar.gz creation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jun 2017 12:18:54 +0200

qubesdb (4.0.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * makefile: add 'clean' target
  * travis: drop debootstrap workaround
  * Add python3 bindings
  * rpm: add python3 packaging, split python2 bindings into separate
    package
  * debian: add python3 packaging
  * debian: do not disable hardening
  * rpm: remove obsolete code

  [ unman ]
  * Fix Depends for trusty build

  [ Marek Marczykowski-Górecki ]
  * travis: update for Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 May 2017 03:19:58 +0200

qubesdb (4.0.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * python: Move QubesDB out of "qubes" package.

  [ Wojtek Porczyk ]
  * qubesdb-read-bool: Interpret a value as boolean

  [ Marek Marczykowski-Górecki ]
  * daemon: append the log instead of overriding
  * debian: fix dependencies for ubuntu package build
  * debian: reformat Build-Depends
  * debian: move python bindings to separate package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Nov 2016 02:45:23 +0100

qubesdb (3.2.3-1) wheezy; urgency=medium

  * daemon: fix removing pidfile and socket

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Oct 2016 15:54:05 +0200

qubesdb (3.2.2-1) wheezy; urgency=medium

  * daemon: remove pidfile and socket only when created by this instance
  * client: fix signed/unsigned comparision, add -Wextra flag
  * gitignore
  * python: raise OSError on EINTR

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Oct 2016 14:37:00 +0200

qubesdb (3.2.1-1) wheezy; urgency=medium

  * systemd: drop dependency on local-fs.target

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Jul 2016 02:35:57 +0200

qubesdb (3.2.0-1) wheezy; urgency=medium

  [ Wojtek Porczyk ]
  * python: fix qubesdb module in vm

  [ Marek Marczykowski-Górecki ]
  * travis: initial version
  * debian: add missing Build-Depends: pkg-config, libpython2.7-dev

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Jun 2016 23:34:57 +0200

qubesdb (3.1.2-1) wheezy; urgency=medium

  * Allow '@' in entry path

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2016 06:18:29 +0100

qubesdb (3.1.1-1) wheezy; urgency=medium

  * debian: libsystemd-daemon-dev is renamed to libsystemd-dev
  * Use new 'systemd' utils library when available

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 13 Dec 2015 04:59:54 +0100

qubesdb (3.1.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: disable debuginfo subpackage in qubes-kernel-vm-support

  [ Rafał Wojdyła ]
  * windows: use vchan logger
  * windows: don't start daemon service immediately after install
  * windows: wait for vchan availability on startup
  * Update for pipe-server changes



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DESTDIR=$(PWD)/debian/tmp

%:
	dh $@ --with python2,python3,systemd

override_dh_auto_build:
	dh_clean --keep
	make all
	for pyver in `py3versions -vr`; do \
		make -C python PYTHON=python$$pyver; \
	done

override_dh_auto_install:
	make install PYTHON=python2 DESTDIR=$(DESTDIR) PYTHON_PREFIX_ARG=--install-layout=deb LIBDIR=/usr/lib BINDIR=/usr/bin SBINDIR=/usr/sbin
	for pyver in `py3versions -vr`; do \
		make -C python install PYTHON=python$$pyver DESTDIR=$(DESTDIR) \
			PYTHON_PREFIX_ARG=--install-layout=deb; \
	done
	mkdir -p $(DESTDIR)/lib/systemd/system
	install -p -m 644 daemon/qubes-db.service $(DESTDIR)/lib/systemd/system

## qubesdb 4.0.12

=== python/Makefile ===
.PHONY: all
all: build

PYTHON ?= python

.PHONY: build
build: 
	CC="$(CC)" CFLAGS="$(CFLAGS)" $(PYTHON) setup.py build

.PHONY: install
install:
	CC="$(CC)" CFLAGS="$(CFLAGS)" $(PYTHON) setup.py install \
		$(PYTHON_PREFIX_ARG) --root="$(DESTDIR)" --force

.PHONY: clean
clean:
	rm -rf build/ *.pyc *.pyo *.o *.a *~

=== debian/changelog ===
qubesdb (4.0.12-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 22 Sep 2019 04:40:53 +0200

qubesdb (4.0.12-1) unstable; urgency=medium

  * rpm: fix build dependencies
  * daemon: make systemd linking optional
  * Fix permissions of header files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Sep 2019 04:40:53 +0200

## qubesdb 4.0.13

=== Makefile ===
RPMS_DIR = rpm/
VERSION = $(shell cat version)

help:
	@echo "make all                   -- compile all binaries"
	@echo "make rpms-vm               -- generate binary rpm packages for VM"
	@echo "make rpms-dom0               -- generate binary rpm packages for Dom0"

rpms-dom0:
	PACKAGE_SET=dom0 rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/qubes-db.spec

rpms-vm:
	PACKAGE_SET=vm rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/qubes-db.spec

all:
	$(MAKE) -C daemon
	$(MAKE) -C client
	$(MAKE) -C python

clean:
	$(MAKE) -C daemon clean
	$(MAKE) -C client clean
	$(MAKE) -C python clean

install:
	$(MAKE) -C daemon install
	$(MAKE) -C client install
	$(MAKE) -C python install
	$(MAKE) -C include install

msi:
	$(MAKE) -C python install PYTHON_PREFIX_ARG=--prefix=. DESTDIR=python27
	candle -arch x64 -dversion=$(VERSION) installer.wxs
	light -o core-qubesdb.msm installer.wixobj

=== client/Makefile ===
CFLAGS += -I../include -g -Wall -Wextra -Werror -pie
CFLAGS += -fPIC
CFLAGS += -DBACKEND_VMM_$(BACKEND_VMM)

LIBDIR=/usr/lib64
BINDIR=/usr/bin

all: libqubesdb qubesdb-cmd

install: all
	install -d $(DESTDIR)$(LIBDIR)
	install libqubesdb.so* $(DESTDIR)$(LIBDIR)/
	install -d $(DESTDIR)$(BINDIR)
	install qubesdb-cmd $(DESTDIR)$(BINDIR)/
	ln -s qubesdb-cmd $(DESTDIR)$(BINDIR)/qubesdb-read
	ln -s qubesdb-cmd $(DESTDIR)$(BINDIR)/qubesdb-write
	ln -s qubesdb-cmd $(DESTDIR)$(BINDIR)/qubesdb-rm
	ln -s qubesdb-cmd $(DESTDIR)$(BINDIR)/qubesdb-multiread
	ln -s qubesdb-cmd $(DESTDIR)$(BINDIR)/qubesdb-list
	ln -s qubesdb-cmd $(DESTDIR)$(BINDIR)/qubesdb-watch
	install qubesdb-read-bool $(DESTDIR)$(BINDIR)/

.PHONY: libqubesdb
libqubesdb: libqubesdb.so

libqubesdb.so: qdb-client.o
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(APPEND_LDFLAGS)

libqubesdb.dll: qdb-client.o
	$(CC) -shared -o $@ $^ -Wl,--output-def,libqubesdb.def,--out-implib,libqubesdb.dll.a

qubesdb-cmd: qubesdb-cmd.o libqubesdb.so
	$(CC) $(LDFLAGS) -o $@ $< $(APPEND_LDFLAGS) -L. -lqubesdb

clean:
	rm -f libqubesdb.so qubesdb-cmd *.o

=== daemon/Makefile ===

CFLAGS += -I../include -I. -g -Wall -Werror -pie
EXEEXT =

SYSTEMD ?= 1

ifneq ($(OS),Windows_NT)
CFLAGS += -fPIC -O2
CFLAGS += `pkg-config --cflags vchan-$(BACKEND_VMM)`
ifeq ($(SYSTEMD),1)
CFLAGS += `pkg-config --cflags libsystemd || pkg-config --cflags libsystemd-daemon`
CFLAGS += -DHAVE_SYSTEMD
LIBS += `pkg-config --libs libsystemd || pkg-config --libs libsystemd-daemon`
endif
LIBS += `pkg-config --libs vchan-$(BACKEND_VMM)`

else # Windows_NT
EXEEXT = .exe
CFLAGS += -I$(QUBES_INCLUDES)
CFLAGS += -DUNICODE -D_UNICODE
LIBS += -L$(QUBES_LIBS) -lvchan-$(BACKEND_VMM)
endif
CFLAGS += -DBACKEND_VMM_$(BACKEND_VMM)

SBINDIR ?= /usr/sbin

all: qubesdb-daemon$(EXEEXT)

install:
	install -d $(DESTDIR)$(SBINDIR)
	install qubesdb-daemon$(EXEEXT) $(DESTDIR)$(SBINDIR)/

qubesdb-daemon$(EXEEXT): db-cmds.o db-daemon.o db-core.o buffer.o
	$(CC) $(LDFLAGS) -o $@ $^ $(APPEND_LDFLAGS) $(LIBS)

clean:
	rm -f *.o qubesdb-daemon$(EXEEXT)

=== debian/changelog ===
qubesdb (4.0.13-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 20 May 2020 13:21:33 +0200

qubesdb (4.0.13-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Ivan Kardykov ]
  * Fix uppercase write bug

  [ Neowutran ]
  * fix QubesOS/qubes-issues#5658, keep python2 in qubesdb.c

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 May 2020 13:21:33 +0200

## qubesdb 4.0.14

=== debian/changelog ===
qubesdb (4.0.14-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 30 Oct 2020 13:58:09 +0100

qubesdb (4.0.14-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Oct 2020 13:58:09 +0100

## qubesdb 4.0.15

=== include/Makefile ===

INCLUDEDIR = /usr/include

install:
	install -d $(DESTDIR)$(INCLUDEDIR)
	install -m 0644 qubesdb.h $(DESTDIR)$(INCLUDEDIR)/
	install -m 0644 qubesdb-client.h $(DESTDIR)$(INCLUDEDIR)/

all:

=== debian/changelog ===
qubesdb (4.0.15-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 30 Oct 2020 15:15:08 +0100

qubesdb (4.0.15-1) unstable; urgency=medium

  * Drop python2 support
  * travis: update config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Oct 2020 15:15:08 +0100

## qubesdb 4.0.16

=== debian/changelog ===
qubesdb (4.0.16-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 06 Jan 2021 06:09:16 +0100

qubesdb (4.0.16-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat
  * debian: update control for python deps
  * Add .gitlab-ci.yml

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 06 Jan 2021 06:09:16 +0100

=== debian/control ===
Source: qubesdb
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends:
 debhelper,
 dh-python,
 libsystemd-dev,
 python3-all,
 python3-all-dev,
 python-setuptools,
 quilt,
 libvchan-xen-dev,
 pkg-config
Standards-Version: 4.4.0.1
Homepage: http://www.qubes-os.org

Package: qubesdb
Section: admin
Architecture: amd64
Depends: libqubesdb, libvchan-xen, ${shlibs:Depends}, ${misc:Depends}
Description: QubesDB management tools and daemon.

Package: qubesdb-vm
Section: admin
Architecture: amd64
Depends: qubesdb, ${misc:Depends}
Description: QubesDB VM service.

Package: libqubesdb
Section: libs
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QubesDB libs.

Package: qubesdb-dev
Section: libdevel
Architecture: amd64
Depends: libqubesdb (= ${binary:Version}), ${misc:Depends}
Description: QubesDB client header files.

Package: python3-qubesdb
Section: python
Architecture: amd64
Depends: libqubesdb (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: QubesDB python bindings.

## qubesdb 4.0.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 RPMS_DIR = rpm/
-VERSION = $(shell cat version)
+VERSION = $(file <version)
 
 help:
 	@echo "make all                   -- compile all binaries"
@@ -29,6 +29,6 @@
 	$(MAKE) -C include install
 
 msi:
-	$(MAKE) -C python install PYTHON_PREFIX_ARG=--prefix=. DESTDIR=python27
+	$(MAKE) -C python install PYTHON_PREFIX_ARG=--prefix=. DESTDIR=python3
 	candle -arch x64 -dversion=$(VERSION) installer.wxs
 	light -o core-qubesdb.msm installer.wixobj

=== python/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all
 all: build
 
-PYTHON ?= python
+PYTHON ?= python3
 
 .PHONY: build
 build:

=== debian/changelog ===
qubesdb (4.0.17-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 06 Jan 2022 01:02:29 +0100

qubesdb (4.0.17-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: pin PKGBUILD to python3.X major version as new python
    version will break the API

  [ Otto Sabart ]
  * archlinux: bump python dependency to v3.11

  [ Shawn Anastasio ]
  * client: Treat getopt(3) return value as int instead of char

  [ 3hhh ]
  * qubesdb-cmd watch: some doc clarifications for -n

  [ herypt ]
  * Fix memory leak

  [ Frédéric Pierret (fepitre) ]
  * spec: fix systemctl path

  [ Demi Marie Obenour ]
  * Use $(file <) instead of $(shell cat)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Jan 2022 01:02:29 +0100

## qubesdb 4.1.0

=== daemon/Makefile ===
--- 
+++ 
@@ -2,16 +2,11 @@
 CFLAGS += -I../include -I. -g -Wall -Werror -pie
 EXEEXT =
 
-SYSTEMD ?= 1
-
 ifneq ($(OS),Windows_NT)
 CFLAGS += -fPIC -O2
+CFLAGS += `pkg-config --cflags libsystemd || pkg-config --cflags libsystemd-daemon`
 CFLAGS += `pkg-config --cflags vchan-$(BACKEND_VMM)`
-ifeq ($(SYSTEMD),1)
-CFLAGS += `pkg-config --cflags libsystemd || pkg-config --cflags libsystemd-daemon`
-CFLAGS += -DHAVE_SYSTEMD
 LIBS += `pkg-config --libs libsystemd || pkg-config --libs libsystemd-daemon`
-endif
 LIBS += `pkg-config --libs vchan-$(BACKEND_VMM)`
 
 else # Windows_NT

=== include/Makefile ===

INCLUDEDIR = /usr/include

install:
	install -d $(DESTDIR)$(INCLUDEDIR)
	install qubesdb.h $(DESTDIR)$(INCLUDEDIR)/
	install qubesdb-client.h $(DESTDIR)$(INCLUDEDIR)/

all:

=== debian/changelog ===
qubesdb (4.1.0-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 09 Mar 2019 03:33:47 +0100

qubesdb (4.1.0-1) unstable; urgency=medium

  * rpm: drop direct xen-libs dependency
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Mar 2019 03:33:47 +0100

## qubesdb 4.1.1

=== debian/changelog ===
qubesdb (4.1.1-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 11 Aug 2019 06:49:34 +0200

qubesdb (4.1.1-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec.in: use %{python3_pkgversion}

  [ Marek Marczykowski-Górecki ]
  * travis: switch to xenial, add fc30

  [ Marta Marczykowska-Górecka ]
  * Implement qubesdb_destroy
  * Integration for OSS Fuzzer for db-daemon
  * Daemon: fixed crash when trying to remove '/'
  * daemon: fix handling empty entries
  * Fixes for C++

  [ Marek Marczykowski-Górecki ]
  * daemon: fix dom0 daemon hang if VM's daemon disconnects
  * daemon: limit amount of vchan writes triggered by remote side
  * daemon: buffer vchan writes
  * daemon: improve handling stalling VM's daemon
  * daemon: improve validation of message type over vchan
  * python: fix gcc -Wsign-compare warnings

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2019 06:49:34 +0200

## qubesdb 4.1.2

=== debian/changelog ===
qubesdb (4.1.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 17 Sep 2019 04:29:27 +0200

qubesdb (4.1.2-1) unstable; urgency=medium

  * rpm: fix build dependencies
  * daemon: make systemd linking optional
  * Fix permissions of header files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Sep 2019 04:29:27 +0200

## qubesdb 4.1.3

=== debian/changelog ===
qubesdb (4.1.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 05 Jan 2020 13:03:11 +0100

qubesdb (4.1.3-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: add fc31 and bullseye

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 05 Jan 2020 13:03:11 +0100

## qubesdb 4.1.4

=== fuzz/Makefile ===
CFLAGS += -g
CFLAGS += -I.
CFLAGS += -I../daemon
CFLAGS += -I../include
CFLAGS += -DFUZZING_BUILD_MODE_UNSAFE_FOR_PRODUCTION=1

all: db-daemon_fuzzer_seed_corpus.zip db-daemon_fuzzer

db-daemon_fuzzer: buffer.o db-cmds.o db-core.o db-daemon.o db-daemon_fuzzer.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LIB_FUZZING_ENGINE)

db-daemon_fuzzer_seed_corpus.zip: seed-corpus/*
	zip -q -r $@ seed-corpus	

buffer.o: ../daemon/buffer.c
	$(CC) $(CFLAGS) -o $@ -c $^

db-cmds.o: ../daemon/db-cmds.c
	$(CC) $(CFLAGS) -o $@ -c $^

db-core.o: ../daemon/db-core.c
	$(CC) $(CFLAGS) -o $@ -c $^

db-daemon.o: ../daemon/db-daemon.c
	$(CC) $(CFLAGS) -o $@ -c $^

clean:
	rm -f *.o
	rm -f db-daemon_fuzzer
	rm -f db-daemon_fuzzer_seed_corpus.zip

=== debian/changelog ===
qubesdb (4.1.4-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 24 Jan 2020 03:18:16 +0100

qubesdb (4.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * qubesdb-read: handle wait option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Jan 2020 03:18:16 +0100

## qubesdb 4.1.5

=== debian/changelog ===
qubesdb (4.1.5-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 10 Apr 2020 06:03:29 +0200

qubesdb (4.1.5-1) unstable; urgency=medium

  * daemon: zero out value before freeing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Apr 2020 06:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: extra
 Maintainer: Jason Mehring <nrgaway@gmail.com>
 Build-Depends:
- debhelper,
+ debhelper (>= 9~),
  dh-python,
+ dh-systemd,
+ libpython2.7-dev,
  libsystemd-dev,
- python3-all,
+ python-all (>= 2.6.6-3~),
  python3-all-dev,
  python-setuptools,
  quilt,
  libvchan-xen-dev,
  pkg-config
-Standards-Version: 4.4.0.1
+X-Python-Version: 2.7
+Standards-Version: 3.9.5
 Homepage: http://www.qubes-os.org
 
 Package: qubesdb
@@ -39,6 +42,13 @@
 Depends: libqubesdb (= ${binary:Version}), ${misc:Depends}
 Description: QubesDB client header files.
 
+Package: python-qubesdb
+Section: python
+Architecture: amd64
+Depends: libqubesdb (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: QubesDB python bindings.
+
 Package: python3-qubesdb
 Section: python
 Architecture: amd64

## qubesdb 4.1.7

=== debian/changelog ===
qubesdb (4.1.7-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 17 May 2020 13:03:29 +0200

qubesdb (4.1.7-1) unstable; urgency=medium

  [ Neowutran ]
  * fix QubesOS/qubes-issues#5658, keep python2 in qubesdb.c

  [ Marek Marczykowski-Górecki ]
  * Drop python2 support

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 May 2020 13:03:29 +0200

qubesdb (4.1.6-1) wheezy; urgency=medium

  [ Ivan Kardykov ]
  * Fix uppercase write bug

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 30 Apr 2020 23:07:58 +0200

## qubesdb 4.1.8

=== debian/changelog ===
qubesdb (4.1.8-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 16 Sep 2020 16:27:16 +0200

qubesdb (4.1.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 16 Sep 2020 16:27:16 +0200

## qubesdb 4.1.9

=== debian/changelog ===
qubesdb (4.1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 08 Dec 2020 02:57:16 +0100

qubesdb (4.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * Set default BACKEND_VMM value to xen
  * Use pkg-config to get BACKEND_VMM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Dec 2020 02:57:16 +0100

## qubesdb 4.1.10

=== debian/changelog ===
qubesdb (4.1.10-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 03 Jan 2021 22:42:06 +0100

qubesdb (4.1.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat
  * debian: update control for python deps

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Jan 2021 22:42:06 +0100

## qubesdb 4.1.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 RPMS_DIR = rpm/
-VERSION = $(file <version)
+VERSION = $(shell cat version)
 
 help:
 	@echo "make all                   -- compile all binaries"

=== client/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+BACKEND_VMM ?= $(shell pkg-config --cflags vchan | sed 's/.*vchan-//')
+
 CFLAGS += -I../include -g -Wall -Wextra -Werror -pie
 CFLAGS += -fPIC
 CFLAGS += -DBACKEND_VMM_$(BACKEND_VMM)

=== daemon/Makefile ===
--- 
+++ 
@@ -2,18 +2,25 @@
 CFLAGS += -I../include -I. -g -Wall -Werror -pie
 EXEEXT =
 
+SYSTEMD ?= 1
+
+BACKEND_VMM ?= $(shell pkg-config --cflags vchan | sed 's/.*vchan-//')
+
 ifneq ($(OS),Windows_NT)
 CFLAGS += -fPIC -O2
+CFLAGS += `pkg-config --cflags vchan`
+ifeq ($(SYSTEMD),1)
 CFLAGS += `pkg-config --cflags libsystemd || pkg-config --cflags libsystemd-daemon`
-CFLAGS += `pkg-config --cflags vchan-$(BACKEND_VMM)`
+CFLAGS += -DHAVE_SYSTEMD
 LIBS += `pkg-config --libs libsystemd || pkg-config --libs libsystemd-daemon`
-LIBS += `pkg-config --libs vchan-$(BACKEND_VMM)`
+endif
+LIBS += `pkg-config --libs vchan`
 
 else # Windows_NT
 EXEEXT = .exe
 CFLAGS += -I$(QUBES_INCLUDES)
 CFLAGS += -DUNICODE -D_UNICODE
-LIBS += -L$(QUBES_LIBS) -lvchan-$(BACKEND_VMM)
+LIBS += -L$(QUBES_LIBS) -lvchan
 endif
 CFLAGS += -DBACKEND_VMM_$(BACKEND_VMM)

=== debian/changelog ===
qubesdb (4.1.11-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Jul 2021 05:13:14 +0200

qubesdb (4.1.11-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: pin PKGBUILD to python3.X major version as new python
    version will break the API

  [ Shawn Anastasio ]
  * client: Treat getopt(3) return value as int instead of char

  [ 3hhh ]
  * qubesdb-cmd watch: some doc clarifications for -n

  [ herypt ]
  * Fix memory leak

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 05:13:14 +0200

## qubesdb 4.1.12

=== debian/changelog ===
qubesdb (4.1.12-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 05 Jan 2022 19:22:03 +0100

qubesdb (4.1.12-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: fix systemctl path

  [ Demi Marie Obenour ]
  * Use $(file <) instead of $(shell cat)

  [ Otto Sabart ]
  * archlinux: bump python dependency to v3.11

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jan 2022 19:22:03 +0100

## qubesdb 4.1.13

=== windows/Makefile ===
OUTDIR = bin/$(ARCH)
CFLAGS += -I../include -std=c11 -fgnu89-inline -DUNICODE -D_UNICODE
LDFLAGS += -L$(OUTDIR) -lwindows-utils

all: $(OUTDIR) $(OUTDIR)/qubesdb-client.dll $(OUTDIR)/qubesdb-cmd.exe $(OUTDIR)/qubesdb-daemon.exe

$(OUTDIR):
	mkdir -p $@

$(OUTDIR)/qubesdb-client.dll: ../client/qdb-client.c
	$(CC) $^ $(CFLAGS) $(LDFLAGS) -lwindows-utils -DQUBESDBCLIENT_API -shared -DWIN32 -o $@

$(OUTDIR)/qubesdb-cmd.exe: $(OUTDIR)/qubesdb-client.dll ../client/qubesdb-cmd.c
	$(CC) ../client/qubesdb-cmd.c  $(CFLAGS) $(LDFLAGS) -lwindows-utils -lqubesdb-client -DWIN32 -UUNICODE -U_UNICODE -mconsole -o $@

$(OUTDIR)/qubesdb-daemon.exe: $(OUTDIR)/qubesdb-client.dll $(wildcard ../daemon/*.c)
	$(CC) $(filter %.c,$^) $(CFLAGS) $(LDFLAGS) -lwindows-utils -lqubesdb-client -lvchan -DWIN32 -UUNICODE -U_UNICODE -o $@

=== debian/changelog ===
qubesdb (4.1.13-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 05 Mar 2022 11:46:44 +0100

qubesdb (4.1.13-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Add assertions to detect FD_SET overflow

  [ Marek Marczykowski-Górecki ]
  * Make the code compile with MinGW
  * Add Makefile for MinGW build
  * windows: rename perror to win_perror

  [ Ivan Kardykov ]
  * fix win32 compilation

  [ Mikhail Lukashov ]
  * windows: build fixups to VS2019
  * windows: improve logging
  * windows: remove duplicated error logging

  [ Ivan Kardykov ]
  * windows: fix incompartible unicode with MinGW

  [ Mikhail Lukashov ]
  * windows: fix qubesdb-daemon cleanup on shutdown

  [ Marek Marczykowski-Górecki ]
  * windows: add missing handle_client_disconnect call
  * windows: add locking

  [ Demi Marie Obenour ]
  * Fix build with -Werror=missing-prototypes
  * Add a comma after enum variant
  * Allow removing a value after reading it
  * Exit non-zero on I/O errors
  * Fix error checking and a memory leak
  * Add documentation for -h
  * Forbid leading dashes in qubesdb entry names
  * Move newline printing to common code
  * Fix an unchecked malloc
  * Securely zero buffer memory before freeing it
  * Daemon: Zeroize memory before freeing it
  * Better error checking when writing to stdout
  * Write error messages if fflush() fails
  * Reserve ENOENT for "no such path in QubesDB"
  * CLI tools: distinguish "no such entry" and "error"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Mar 2022 11:46:44 +0100

## qubesdb 4.1.14

=== debian/changelog ===
qubesdb (4.1.14-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 11 Oct 2022 17:43:09 +0200

qubesdb (4.1.14-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Fix OSS Fuzz integration

  [ Marek Marczykowski-Górecki ]
  * ci: build on windows too
  * Fix mingw build

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 Oct 2022 17:43:09 +0200

## qubesdb 4.1.15

=== debian/changelog ===
qubesdb (4.1.15-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 17 Dec 2022 18:19:55 +0100

qubesdb (4.1.15-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Fix qubesdb-read-bool on missing keys

  [ Marek Marczykowski-Górecki ]
  * debian: remove remaining python2 dep

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 17 Dec 2022 18:19:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,16 @@
 Priority: extra
 Maintainer: Jason Mehring <nrgaway@gmail.com>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper,
  dh-python,
- dh-systemd,
- libpython2.7-dev,
  libsystemd-dev,
- python-all (>= 2.6.6-3~),
+ python3-all,
  python3-all-dev,
- python-setuptools,
+ python3-setuptools,
  quilt,
  libvchan-xen-dev,
  pkg-config
-X-Python-Version: 2.7
-Standards-Version: 3.9.5
+Standards-Version: 4.4.0.1
 Homepage: http://www.qubes-os.org
 
 Package: qubesdb
@@ -42,13 +39,6 @@
 Depends: libqubesdb (= ${binary:Version}), ${misc:Depends}
 Description: QubesDB client header files.
 
-Package: python-qubesdb
-Section: python
-Architecture: amd64
-Depends: libqubesdb (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: QubesDB python bindings.
-
 Package: python3-qubesdb
 Section: python
 Architecture: amd64

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DESTDIR=$(PWD)/debian/tmp
 
 %:
-	dh $@ --with python2,python3,systemd
+	dh $@ --with python3,systemd
 
 override_dh_auto_build:
 	dh_clean --keep
@@ -19,7 +19,7 @@
 	done
 
 override_dh_auto_install:
-	make install PYTHON=python2 DESTDIR=$(DESTDIR) PYTHON_PREFIX_ARG=--install-layout=deb LIBDIR=/usr/lib BINDIR=/usr/bin SBINDIR=/usr/sbin
+	make install DESTDIR=$(DESTDIR) PYTHON_PREFIX_ARG=--install-layout=deb LIBDIR=/usr/lib BINDIR=/usr/bin SBINDIR=/usr/sbin
 	for pyver in `py3versions -vr`; do \
 		make -C python install PYTHON=python$$pyver DESTDIR=$(DESTDIR) \
 			PYTHON_PREFIX_ARG=--install-layout=deb; \

## qubesdb 4.2.0

=== debian/changelog ===
qubesdb (4.2.0-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 29 Dec 2022 08:55:38 +0100

qubesdb (4.2.0-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Fix some Doxygen comments
  * Do not use select(2)
  * Implement SELinux policy for QubesDB
  * Try to get qubesdb working with SELinux enforcing
  * Simplify daemon startup and fix UB
  * SELinux policies require qubes-core-agent-selinux
  * Simplify SELinux policy
  * Avoid explicit mkdir
  * Add write permission to qubesdb-daemon on var_run_t

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 29 Dec 2022 08:55:38 +0100

## qubesdb 4.2.1

=== debian/changelog ===
qubesdb (4.2.1-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 Jan 2023 11:30:08 +0100

qubesdb (4.2.1-1) unstable; urgency=medium

  * rpm,debian: remove explicit dependency on vchan

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 11:30:08 +0100

## qubesdb 4.2.2

=== debian/changelog ===
qubesdb (4.2.2-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 16 Apr 2023 02:38:35 +0200

qubesdb (4.2.2-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Stop testing on R4.1

  [ Marek Marczykowski-Górecki ]
  * python: migrate away from deprecated distutils

  [ Demi Marie Obenour ]
  * Support providing a default value to qubesdb-read

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Apr 2023 02:38:35 +0200

## qubesdb 4.2.3

=== debian/changelog ===
qubesdb (4.2.3-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 26 Apr 2023 12:57:33 +0200

qubesdb (4.2.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Rework archlinux packaging
  * archlinux: add python-setuptools in depends

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Apr 2023 12:57:33 +0200

## qubesdb 4.2.4

=== debian/changelog ===
qubesdb (4.2.4-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 05 May 2023 00:13:49 +0200

qubesdb (4.2.4-1) unstable; urgency=medium

  [ Ludovic Bellier ]
  * Update archlinux python version dependency to <3.12

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 May 2023 00:13:49 +0200

## qubesdb 4.2.5

=== debian/changelog ===
qubesdb (4.2.5-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 28 Apr 2024 13:23:20 +0200

qubesdb (4.2.5-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: adjust systemd dependency

  [ Ludovic Bellier ]
  * Update archlinux python version dependency to <3.13

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 28 Apr 2024 13:23:20 +0200

## qubesdb 4.2.6

=== debian/changelog ===
qubesdb (4.2.6-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 25 May 2024 03:57:03 +0200

qubesdb (4.2.6-1) unstable; urgency=medium

  * python: avoid conflicting _FORTIFY_SOURCE values

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 25 May 2024 03:57:03 +0200

## qubesdb 4.2.7

=== debian/changelog ===
qubesdb (4.2.7-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 25 Dec 2024 05:07:39 +0100

qubesdb (4.2.7-1) unstable; urgency=medium

  [ William Robinet ]
  * Fix typo

  [ Marek Marczykowski-Górecki ]
  * rpm: adjust SELinux snippets for relabeling

  [ Demi Marie Obenour ]
  * Ensure that qubesdb SELinux labels are correct on Fedora 41
  * Bump Python version dependency in Arch packages

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 25 Dec 2024 05:07:39 +0100

## qubesdb 4.2.8

=== debian/changelog ===
qubesdb (4.2.8-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 28 Mar 2025 15:21:29 +0100

qubesdb (4.2.8-1) unstable; urgency=medium

  [ Rafał Wojdyła ]
  * Update for Windows 10
  * Update gitignore
  * Support building from the installer
  * Make project outputs separate to eliminate postbuild copy overlap
  * windows: properly set vchan/xencontrol log level
  * Fix build warnings
  * windows: support builder v2
  * windows: Fix local build
  * windows: update gitignore

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 28 Mar 2025 15:21:29 +0100

## qubesdb 4.2.9

=== debian/changelog ===
qubesdb (4.2.9-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 06 Jun 2025 01:28:43 +0200

qubesdb (4.2.9-1) unstable; urgency=medium

  * Move all binaries from /usr/sbin to /usr/bin

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Jun 2025 01:28:43 +0200

## qubesdb 4.2.10

=== debian/changelog ===
qubesdb (4.2.10-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 12 Jan 2026 23:02:54 +0100

qubesdb (4.2.10-1) unstable; urgency=medium

  [ Ludovic Bellier ]
  * Bump Python version dependency in Arch packages Arch just bumped to
    Python 3.14.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Jan 2026 23:02:54 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: qubesdb
 Section: admin
 Architecture: amd64
-Depends: libqubesdb, libvchan-xen, ${shlibs:Depends}, ${misc:Depends}
+Depends: libqubesdb, ${shlibs:Depends}, ${misc:Depends}
 Description: QubesDB management tools and daemon.
 
 Package: qubesdb-vm

## qubesdb 4.3.0

=== debian/changelog ===
qubesdb (4.3.0-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 03 Mar 2025 13:42:56 +0100

qubesdb (4.3.0-1) unstable; urgency=medium

  * Move all binaries from /usr/sbin to /usr/bin
  * ci: add R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Mar 2025 13:42:56 +0100

## qubesdb 4.3.1

=== debian/changelog ===
qubesdb (4.3.1-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Thu, 08 Jan 2026 20:03:41 +0000

qubesdb (4.3.1-1) unstable; urgency=medium

  [ Rafał Wojdyła ]
  * Update for Windows 10
  * Update gitignore
  * Support building from the installer
  * Make project outputs separate to eliminate postbuild copy overlap
  * windows: properly set vchan/xencontrol log level
  * Fix build warnings
  * windows: support builder v2
  * windows: Fix local build
  * windows: update gitignore

  [ Marek Marczykowski-Górecki ]
  * ci: update config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 28 Mar 2025 11:40:05 +0100

## qubesdb 4.3.2

=== daemon/Makefile ===
--- 
+++ 
@@ -24,13 +24,13 @@
 endif
 CFLAGS += -DBACKEND_VMM_$(BACKEND_VMM)
 
-SBINDIR ?= /usr/sbin
+BINDIR ?= /usr/bin
 
 all: qubesdb-daemon$(EXEEXT)
 
 install:
-	install -d $(DESTDIR)$(SBINDIR)
-	install qubesdb-daemon$(EXEEXT) $(DESTDIR)$(SBINDIR)/
+	install -d $(DESTDIR)$(BINDIR)
+	install qubesdb-daemon$(EXEEXT) $(DESTDIR)$(BINDIR)/
 
 qubesdb-daemon$(EXEEXT): db-cmds.o db-daemon.o db-core.o buffer.o
 	$(CC) $(LDFLAGS) -o $@ $^ $(APPEND_LDFLAGS) $(LIBS)

=== debian/changelog ===
qubesdb (4.3.2-1+deb13u1+devel2) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Sun, 11 Jan 2026 21:01:08 +0000

qubesdb (4.3.2-1) unstable; urgency=medium

  [ Rafał Wojdyła ]
  * windows: Fix local build, project cleanup

  [ Ludovic Bellier ]
  * Bump Python version dependency in Arch packages Arch just bumped to
    Python 3.14.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Jan 2026 21:56:59 +0100
